View Issue Details

IDProjectCategoryView StatusLast Update
0001084LazarusLCLpublic2005-09-16 09:44
ReporterTom Verhoeff Assigned ToVincent Snijders  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformany (tested on powerpc-darwin)OSany (tested on Mac OS X) 
Product Version0.9.9 (SVN) 
Summary0001084: Second creation of form raises Duplicate Name exception
DescriptionWhen a second instance is created of a (non-auto-created) TForm, then this raises a Duplicate Name exception.
Steps To ReproduceIn a unit with a form, say TMyForm, and with variables VMyForm1, VMyForm2: TMyForm, do

VMyForm1 := TMyForm.Create;
VMyForm2 := TMyForm.Create; { this one raises the exception }

Note: The form should NOT be auto-created by the application.

If it is auto-created, then the third instance of the form is rejected.
Additional InformationIn Delphi, the name of a newly created duplicate form (or any other component?) is automatically
postfixed with _i where i is a numeric instance distinguisher.

The application programmer cannot do that. It must be handled by the LCL.
TagsNo tags attached.
Fixed in Revision
LazTargetpost 1.0
WidgetsetGTK
Attached Files

Activities

Vincent Snijders

2005-08-13 15:37

manager   ~0000924

2005-08-13 11:11 mattias r7497
  TApplication now sets FindGlobalComponent always

Vincent Snijders

2005-08-13 15:39

manager   ~0000925

2005-08-13 11:11 mattias r7497
  TApplication now sets FindGlobalComponent always

Issue History

Date Modified Username Field Change
2005-08-11 08:24 Tom Verhoeff New Issue
2005-08-11 08:24 Tom Verhoeff Widgetset => GTK
2005-08-11 17:00 Vincent Snijders Target => post 1.0
2005-08-13 15:37 Vincent Snijders Status new => resolved
2005-08-13 15:37 Vincent Snijders Resolution open => fixed
2005-08-13 15:37 Vincent Snijders Assigned To => Vincent Snijders
2005-08-13 15:37 Vincent Snijders Note Added: 0000924
2005-08-13 15:39 Vincent Snijders Note Added: 0000925
2005-09-16 09:44 Marc Weustink Status resolved => closed